[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TScreen.ActiveControl

The control which has the focus on the active form for the screen.

## Declaration

Source position: forms.pp line 1271

`public property TScreen.ActiveControl : TWinControl read FActiveControl;`

## Description

ActiveControl is a read-only TWinControl property which indicates the form or control that has focus on the screen, and gets input entered using the keyboard. The property value is updated when the SetFocusedControl method in TCustomForm sets the active control for the form and calls the UpdateLastActive method for the screen.

## See also

TScreen.ActiveForm |  | The TForm instance which has the focus.
TScreen.ActiveCustomForm |  | The TCustomForm instance which has the focus.
TCustomForm.SetFocusedControl |  | Handles a focus change for a control (enter/exit messages).